{#----------------------ELEMENTS-FOOTER-MODULE-MODULE-FILE--------#}
<footer class="footer-main">

    <div class="footer-main-logo-container">
        <img class="footer-main-logo" src="{{ asset('build/images/common/logo.svg') }}" alt="Easyvoyage" width="141" height="31" loading="lazy">
    </div>

    {% if link is defined %}
    <div class="footer-main-info-container">
        <div>
            <div class="footer-main-title">{{ 'information'|trans({}, 'footer') }}</div>
            {% for link in links.footer.information %}
                {% if (link.route_name is defined) %}
                    <div class="footer-main-link-container">
                        <a class="footer-main-link" href="{{ url(link.route_name, link.route_params ?? []) }}">{{ link.label }}</a>
                    </div>
                {% elseif (link.javascript is defined) %}
                    <span onclick="{{ link.onclick }}">
                        {{ link.label }}
                    </span>
                {% endif %}
            {% endfor %}
        </div>

        <div>
            {% if (links.footer.newsletter is defined and links.footer.newsletter is not empty) %}
        <div>
            <div class="footer-main-title footer-border">{{ 'newsletter'|trans({}, 'footer') }}</div>
            {% for key, link in links.footer.newsletter %}
                {% if (link.url is defined) %}
                    <div class="footer-main-link-container">
                        <i class="material-icons footer-main-link-icon">newspaper</i> <a class="footer-main-link" href="{{ link.url }}">{{ link.label }}</a>
                    </div>
                {% endif %}
            {% endfor %}
        </div>
        {% endif %}

        {% if (links.footer.social_networks is defined and links.footer.social_networks is not empty) %}
        <div>
            <div class="footer-main-title footer-border">{{ 'social'|trans({}, 'footer') }}</div>
            <div class="footer-main-link-social-icon-container">
                {% for key, link in links.footer.social_networks %}
                {% if (link.url is defined) %}
                    <div class="footer-main-link">
                        <a class="footer-main-link-social-icon"href="{{ link.url }}">
                            <img src="{{ asset('footer_' ~ key ~ '.png', 'common') }}" alt="{{ key }}" width="30" height="30" loading="lazy">
                        </a>
                    </div>
                {% endif %}
            {% endfor %}
            </div>

        </div>
        {% endif %}

        {% if (links.footer.apps is defined and links.footer.apps is not empty) %}
        <div>
            <div class="footer-main-title footer-border">{{ 'apps'|trans({}, 'footer') }}</div>
            {% for key, link in links.footer.apps %}
                {% if (link.url is defined) %}
                    <div class="footer-main-link-container">
                        <a class="footer-main-link" href="{{ link.url }}">
                            <img class="footer-main-link-badges" src="{{ asset('footer_' ~ key ~ '.png', 'common') }}" alt="{{ key }}" width="123" height="36" loading="lazy">
                        </a>
                    </div>
                {% endif %}
            {% endfor %}
        </div>
        {% endif %}
        </div>

        {% if (links.footer.group_brands is defined and links.footer.group_brands is not empty) %}
        <div>
            <div class="footer-main-title footer-border">{{ 'webedia_brands'|trans({}, 'footer') }}</div>
            <div class="gd gd-gap-15 gd-s-2">
            {% for key, link in links.footer.group_brands %}
                {% if (link.url is defined) %}
                    <a class="footer-main-link" href="{{ link.url }}">{{ link.label }}</a>
                {% endif %}
            {% endfor %}
            </div>
        </div>
        {% endif %}
    </div>
    {% endif %}

    <div class="footer-main-copyright-container">
        <div class="footer-main-webedia-logo">
            <img src="{{ asset('build/images/common/Webedia_Entertainment_Network_Logo_White.svg') }}" alt="Webedia" width="200" height="65" loading="lazy">
        </div>
        <p class="footer-main-copyright">Copyright © 2008 - {{ "now"|date("Y") }} <br> Webedia - Tous droits réservés</p>
    </div>
</footer>
